<div xmlns="http://www.w3.org/1999/xhtml" lang="en"
	 xmlns:f="http://typo3.org/ns/fluid/ViewHelpers"
	 xmlns:portfolios="http://typo3.org/ns/CodingMs/Portfolios/ViewHelpers">
	<f:section name="Default">

		<f:if condition="{f:count(subject: settings.filter.tagCategory.options)}">
			<f:for each="{settings.filter.tagCategory.options}" as="tagCategory">
				<portfolios:variable.set name="tagCategorySelected" value="{portfolios:variable.get(name: 'settings.filter.tagCategory.values.{tagCategory.uid}', useRawKeys: 1)}" />
				<div class="portfolio-filter-tag-categorized">
					<label data-portfolio-tag-category="{tagCategory.uid}" class="portfolio-tag-category"
						   title="{tagCategory.description->f:format.stripTags()}" data-toggle="tooltip" data-placement="top">
						<f:form.checkbox name="tag-category-{tagCategory.uid}" value="{tagCategory.uid}"
										 checked="{tagCategorySelected}"
										 additionalAttributes="{data-filter-concatenation: 'and'}" />
						<span>{tagCategory.title}</span>
					</label>
					<f:for each="{settings.filter.tag.options}" as="tag">
						<f:if condition="{tagCategory} == {tag.category}">
							<portfolios:variable.set name="tagSelected" value="{portfolios:variable.get(name: 'settings.filter.tag.values.{tag.uid}', useRawKeys: 1)}" />
							<label data-portfolio-tag="{tag.uid}" class="portfolio-tag" for="portfolio-tag-{tag.uid}"
								   title="{tag.description}" data-toggle="tooltip" data-placement="top">
								<f:form.checkbox name="tag-{tag.uid}" value="{tag.uid}" checked="{tagSelected}"
												 additionalAttributes="{data-filter-concatenation: 'or'}"
												 id="portfolio-tag-{tag.uid}" />
								<span>{tag.title}</span>
							</label>
						</f:if>
					</f:for>
				</div>
			</f:for>
		</f:if>

	</f:section>
</div>
